EnumerationStrategyBase.h File Reference
`#include <RDGeneral/export.h>`
`#include "EnumerateTypes.h"`
`#include "../Reaction.h"`
`#include <utility>`
`#include <vector>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <cstdint>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include <GraphMol/RDKitBase.h>`

Go to the source code of this file.

## Classes

class | RDKit::EnumerationStrategyException
| class for flagging enumeration strategy errors More...
class | RDKit::EnumerationStrategyBase

## Namespaces

| RDKit
| Std stuff.

## Functions

template<class T >
EnumerationTypes::RGROUPS | RDKit::getSizesFromBBs (const std::vector< std::vector< T >> &bbs)
| Return the number of elements per input vector. More...
RDKIT_CHEMREACTIONS_EXPORT EnumerationTypes::RGROUPS | RDKit::getSizesFromReactants (const std::vector< MOL_SPTR_VECT > &bbs)
RDKIT_CHEMREACTIONS_EXPORT MOL_SPTR_VECT | RDKit::getReactantsFromRGroups (const std::vector< MOL_SPTR_VECT > &bbs, const EnumerationTypes::RGROUPS &rgroups)
RDKIT_CHEMREACTIONS_EXPORT boost::uint64_t | RDKit::computeNumProducts (const EnumerationTypes::RGROUPS &sizes)